#include <lv2plugin.hpp>


using namespace LV2;


class And3I : public Plugin<And3I> {
public:

  And3I(double rate)
    : Plugin<And3I>(4) {

  }

  void run(uint32_t nframes) {
    if (*p(0) > 0 && *p(1) > 0 && *p(2) > 0)
    	*p(3) = 1;
    else
    	*p(3) = 0;
  }

};


static int _ = And3I::register_class("http://uli-plugins.sourceforge.net/lv2/and3i");
